XFCE4-TERMINAL(1)

NAME
xfce4-terminal - Emulador de terminal per a X

SINOPSI

xfce4-terminal [OPCIÓ...]

DESCRIPCIó

xfce4-terminal és el que es coneix com un emulador de terminal X, sovint anomenat tambè com a terminal o intèrpret d'ordres (shell). Aquest us ofereix un equivalent a la pantalla de text tradicional per el vostre escriptori, però en el que podreu compartir la pantalla amb altres aplicacions gràfiques. Els usuaris de Windows pot ser que ja estigueu familiaritzats amb la utilitat de la finestra de MS-DOS, que te funcions anàlogues a les de la línia d'ordres de DOS a Windows, encara que cal remarcar que la CLI UNIX és molt més potent i fàcil d'emprar que la de DOS.

xfce4-terminal emula l'aplicació xterm desenvolupada per X Consortium. A la vegada, l'aplicació xterm emula el terminal DEC VT102 i també és compatible amb les seqüències d'escapada de DEC VT220. Una seqüència d'escapada és una sèrie de caràcters que s'inicien amb el caràcter Esc. xfce4-terminal accepta totes les seqüències d'escapada dels terminals VT102 i VT220 que s'empren per funcions com per posicionar el cursor o netejar la pantalla.

OPCIONS

  Resum d'opció

Aquí hi ha un resum de totes les opcions agrupades per tipus. Les explicacions són a les properes seccions.

Opcions generals
    -h, --help; -V, --version; --disable-server; --color-table; --default-display=display; --default-working-directory=directori

Separadors de finestra o pestanya
    --tab; --window

Opcions de pestanya
    -x, --execute; -e, --command=comanda; --working-directory=directori; -T, --title=títol; -H, --hold

Opcions de finestra
    --display=display; --drop-down; --geometry=geometria; --role=rol; --startup-id=cadena de caràcters; -I, --icon=icona; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbar, --hide-toolbar

  Opcions generals

-h, --help
    Llista les opcions de la línia de comandes suportades per xfce4-terminal i surt.

-V, --version
    Mostra informació sobre la versió i surt

--disable-server
    No es registra amb el bus de sessions de D-BUS

--color-table
    Echo the color codes

--default-display=display
    Pantalla X per usar per defecte.

--default-working-directory=directori
    Estableix directori com el directori de treball per al terminal

  Separadors de finestra o pestanya

--tab
    Obre una nova pestanya en la finestra especificada; es pot indicar més d'una de les opcions que hi ha tot seguit.

    If you use this as the first option, without --window separators, the last window will be re-used.

--window
    Obre una finestra que conté una pestanya; es pot emprar més d'una d'aquestes opcions.

  Opcions de pestanya

-x, --execute
    Executa el recordatori de la línia de comandes dins el terminal

-e, --command=comanda
    Executa comanda dins el terminal

--working-directory=directori
    Estableix directori com el directori de treball per al terminal

-T, --title=títol
    Estableix títol com el títol inicial de la finestra del terminal

-H, --hold
    Causa que el terminal es mantingui encara que la comanda executada hagi acabat

  Opcions de finestra

--display=display
    Pantalla X per a usar per a l'última finestra especificada.

--drop-down
    Will start the window in drop-down mode (also called a Quake-style terminal). This will only apply to the first window started with this option. It is advised to bind this to a shortcut in the keyboard preferences.

--geometry=geometria
    Estableix la geometria de la nova finestra a geometria. Llegiu X(7) per a obtenir més informació de com especificar geometries de finestra.

--role=rol
    Sets the window role of the last-specified window to role. Applies to only one window and can be specified once for each window you create from the command line. The role is a unique identifier for the window to be used when restoring a session.

--startup-id=cadena de caràcters
    Especifica la identificació de notificacions d'inici per a l'última finestra especificada. S'empra internament per a re-enviar la notificació d'inici quan s'usa el servei D-BUS.

-I, --icon=icona
    Estableix la icona del terminal com a nom d'icona o nom de fitxer.

--fullscreen
    L'última finestra especificada es posa en mode de pantalla completa; s'aplica un cop per finestra. Es pot especificar per cadascuna de les finestres des de la línia de comandes.

--maximize
    L'última finestra especificada es posa en mode maximitzat; s'aplica un cop per finestra. Es pot especificar per cadascuna de les finestres des de la línia de comandes.

--show-menubar
    Mostra la barra del menú per a la finestra especificada en darrer terme. Es pot especificar un cop per cadascuna de les finestres creades des de la línia de comandes.

--hide-menubar
    Oculta la barra del menú per a la finestra especificada en darrer terme. Es pot especificar un cop per cadascuna de les finestres creades des de la línia de comandes.

--show-borders
    Mostra les decoracions de la finestra per a la finestra especificada en darrer terme. S'aplica un cop per finestra. Es pot especificar un cop per cadascuna de les finestres que es creen des de la línia de comandes.

--hide-borders
    Oculta les decoracions de la finestra per a la finestra especificada en darrer terme. S'aplica un cop per finestra. Es pot especificar un cop per cadascuna de les finestres que es creen des de la línia de comandes.

--show-toolbar
    Turn on the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

--hide-toolbar
    Turn off the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

EXEMPLES

xfce4-terminal --geometry 80x40 --command mutt --tab --command mc
    Obre una nova finestra de terminal amb mida de 80 columnes i 40 files amb dos pestanyes, on la primera executarà mutt i la segona executarà mc.

ENTORN

xfce4-terminal uses the Basedir Specification as defined on Freedesktop.org[1] to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

${XDG_CONFIG_HOME}
    El directori base per on buscar fitxers de configuració. Per defecte és ~/.config/.

${XDG_CONFIG_DIRS}
    Una llista de directoris base separades pel caràcter dos punts que contenen les dades de configuració. Per defecte, l'aplicació mirarà a ${sysconfdir}/xdg/. El valor ${sysconfdir} depèn de com s'ha escrit el programa i sovint serà /etc/.

${XDG_DATA_HOME}
    L'arrel per a tots els fitxers de dades específics de l'usuari. Per defecte és ~/.local/share/.

${XDG_DATA_DIRS}
    Un conjunt ordenat de directoris base a partir dels quals es buscaran els fitxers de dades a més del directori base ${XDG_DATA_HOME}. Els directoris s'han de separar mitjançant el caràcter dos punts.

FITXERS

${XDG_CONFIG_DIRS}/xfce4/terminal/terminalrc
    Aquesta és la localització del fitxer de configuració que inclou les preferències que controlen l'aparença de xfce4-terminal.

VEIEU A MéS

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Developer

Benedikt Meurer <benny@xfce.org>
Desenvolupador de programari, os-cillation, Desenvolupament de sistemes,
    Developer

NOTES

1.  Freedesktop.org
    http://freedesktop.org/